Информационная безопасность
[RU] switch to English


Дополнительная информация

  Cводка уязвимостей безопасности в Web-приложениях (PHP, ASP, JSP, CGI, Perl)

  Multiple vulnerabilities in Vulcan theme for WordPress + WAF bypass

  [SECURITY] [DSA 3295-1] cacti security update

  CVE-2015-3443 XSS in Thycotic Secret Server version 8.6.000000 to 8.8.000004

  ManageEngine Asset Explorer v6.1 - Persistent Vulnerability

From:High-Tech Bridge Security Research <advisory_(at)_htbridge.ch>
Date:5 июля 2015 г.
Subject:Path Traversal in BlackCat CMS



Advisory ID: HTB23263
Product: BlackCat CMS
Vendor: Black Cat Development
Vulnerable Version(s): 1.1.1 and probably prior
Tested Version: 1.1.1
Advisory Publication:  June 10, 2015  [without technical details]
Vendor Notification: June 10, 2015
Vendor Patch: June 24, 2015
Public Disclosure: July 1, 2015
Vulnerability Type: Path Traversal [CWE-22]
CVE Reference: CVE-2015-5079
Risk Level: High
CVSSv2 Base Score: 7.8 (AV:N/AC:L/Au:N/C:С/I:N/A:N)
Solution Status: Fixed by Vendor
Discovered and Provided: High-Tech Bridge Security Research Lab ( https://www.htbridge.com/advisory/ )

---------------------------------------------------------------------------------
--------------

Advisory Details:

High-Tech Bridge Security Research Lab discovered vulnerability in BlackCat CMS, which can be exploited to view contents of arbitrary files on the local system. An attacker might be able to obtain potentially sensitive or system information, and even compromise the vulnerable system.

The vulnerability exists due to improper validation of file path in "dl" HTTP GET parameter, when reading local files using "/modules/blackcat/widgets/logs.php" script. A remote unauthenticated attacker can download arbitrary files from the vulnerable system using directory traversal sequences ("../").

A simple exploit below allows download of "config.php" file:

http://host/modules/blackcat/widgets/logs.php?dl=/../config.php



---------------------------------------------------------------------------------
--------------

Solution:

Update to BlackCat CMS 1.1.2

---------------------------------------------------------------------------------
--------------

References:

[1] High-Tech Bridge Advisory HTB23263 - https://www.htbridge.com/advisory/HTB23263 - Path Traversal in BlackCat CMS.
[2] BlackCat CMS - http://blackcat-cms.org/ - OpenSource Content Management System.
[3] Common Vulnerabilities and Exposures (CVE) - http://cve.mitre.org/ - international in scope and free for public use, CVE® is a dictionary of publicly known information security vulnerabilities and exposures.
[4] Common Weakness Enumeration (CWE) - http://cwe.mitre.org - targeted to developers and security practitioners, CWE is a formal list of software weakness types.
[5] ImmuniWeb® SaaS - https://www.htbridge.com/immuniweb/ - hybrid of manual web application penetration test and cutting-edge vulnerability scanner available online via a Software-as-a-Service (SaaS) model.

---------------------------------------------------------------------------------
--------------

Disclaimer: The information provided in this Advisory is provided "as is" and without any warranty of any kind. Details of this Advisory may be updated in order to provide as accurate information as possible. The latest version of the Advisory is available on web page [1] in the References.

О сайте | Условия использования
© SecurityVulns, 3APA3A, Владимир Дубровин
Нижний Новгород